# Ui_MainWindow Class Reference

`#include <ui_InsightFlow.h>`

Inherited by Ui::MainWindow.

Collaboration diagram for Ui_MainWindow:
[legend]

List of all members.

## Public Member Functions
void | setupUi (QMainWindow *MainWindow)
void | retranslateUi (QMainWindow *MainWindow)
## Public Attributes
QAction * | actionOpen
QWidget * | centralwidget
QGridLayout * | gridLayout
QGraphicsView * | graphicsView
QDockWidget * | dockWidget_ch
QWidget * | dockWidgetContents_ch
QVBoxLayout * | verticalLayout_6
ChannelTableWidget * | tableWidget_ch
QDockWidget * | dockWidget_ts
QWidget * | dockWidgetContents_ts
QVBoxLayout * | verticalLayout_2
QWidget * | widget_ts1
QLabel * | label_tsCurrent
QSpinBox * | spinBox_ts
QWidget * | widget_ts2
QVBoxLayout * | verticalLayout
QWidget * | widget_tsh
QHBoxLayout * | horizontalLayout_2
QLabel * | label_tsh0
QSpacerItem * | spacer_tsh
QLabel * | label_tshMax
QSlider * | slider_ts
QSpacerItem * | vSpacer_ts
QDockWidget * | dockWidget_ap
QWidget * | dockWidgetContents_ap
QVBoxLayout * | verticalLayout_3
QCheckBox * | checkBox_apShow
QWidget * | widget_apForm
QFormLayout * | formLayout_2
QSpinBox * | spinBox_apArrowCount
QLabel * | label_apArrowCount
QLabel * | label_apColor
QWidget * | widget_apColor
QFrame * | frame_apColor
QPushButton * | pushButton_apColorBrowse
QLabel * | label_apArrowType
QComboBox * | comboBox_apType
QDockWidget * | dockWidget_sl
QWidget * | dockWidgetContents_sl
QVBoxLayout * | verticalLayout_5
QCheckBox * | checkBox_slShow
QWidget * | widget_slParams
QFormLayout * | formLayout_3
QComboBox * | comboBox_slIntegration
QLabel * | label_slintegration
QLabel * | label_sldsep
QLabel * | label_sldtest
QLabel * | label_slThickness
QLabel * | label_slColoring
QLabel * | label_sltype
QSpinBox * | spinBox_sldsep
QSpinBox * | spinBox_sldtest
QSpinBox * | spinBox_slThickness
QWidget * | widget_slColChoose
QFrame * | frame_slColor
QPushButton * | pushButton_slColorBrowse
QComboBox * | comboBox_slLineType
QLabel * | label_slTGPeriod
QSpinBox * | spinBox_slTGPeriod
QDockWidget * | dockWidget_cm
QWidget * | dockWidgetContents_cm
QVBoxLayout * | verticalLayout_4
QCheckBox * | checkBox_cmShow
QWidget * | widget_cmChooseCh
QFormLayout * | formLayout
QLabel * | label_cmCh
QComboBox * | comboBox_cmChannel
TFBarWidget * | cmTFBar
QLabel * | label_cmChTF
QMenuBar * | menubar
QMenu * | menuFile
QStatusBar * | statusbar

## Member Function Documentation

void Ui_MainWindow::retranslateUi | ( | QMainWindow * | MainWindow | ) | `[inline]`

void Ui_MainWindow::setupUi | ( | QMainWindow * | MainWindow | ) | `[inline]`

## Member Data Documentation

QAction* Ui_MainWindow::actionOpen

QWidget* Ui_MainWindow::centralwidget

QCheckBox* Ui_MainWindow::checkBox_apShow

QCheckBox* Ui_MainWindow::checkBox_cmShow

QCheckBox* Ui_MainWindow::checkBox_slShow

TFBarWidget* Ui_MainWindow::cmTFBar

QComboBox* Ui_MainWindow::comboBox_apType

QComboBox* Ui_MainWindow::comboBox_cmChannel

QComboBox* Ui_MainWindow::comboBox_slIntegration

QComboBox* Ui_MainWindow::comboBox_slLineType

QDockWidget* Ui_MainWindow::dockWidget_ap

QDockWidget* Ui_MainWindow::dockWidget_ch

QDockWidget* Ui_MainWindow::dockWidget_cm

QDockWidget* Ui_MainWindow::dockWidget_sl

QDockWidget* Ui_MainWindow::dockWidget_ts

QWidget* Ui_MainWindow::dockWidgetContents_ap

QWidget* Ui_MainWindow::dockWidgetContents_ch

QWidget* Ui_MainWindow::dockWidgetContents_cm

QWidget* Ui_MainWindow::dockWidgetContents_sl

QWidget* Ui_MainWindow::dockWidgetContents_ts

QFormLayout* Ui_MainWindow::formLayout

QFormLayout* Ui_MainWindow::formLayout_2

QFormLayout* Ui_MainWindow::formLayout_3

QFrame* Ui_MainWindow::frame_apColor

QFrame* Ui_MainWindow::frame_slColor

QGraphicsView* Ui_MainWindow::graphicsView

QGridLayout* Ui_MainWindow::gridLayout

QHBoxLayout* Ui_MainWindow::horizontalLayout_2

QLabel* Ui_MainWindow::label_apArrowCount

QLabel* Ui_MainWindow::label_apArrowType

QLabel* Ui_MainWindow::label_apColor

QLabel* Ui_MainWindow::label_cmCh

QLabel* Ui_MainWindow::label_cmChTF

QLabel* Ui_MainWindow::label_slColoring

QLabel* Ui_MainWindow::label_sldsep

QLabel* Ui_MainWindow::label_sldtest

QLabel* Ui_MainWindow::label_slintegration

QLabel* Ui_MainWindow::label_slTGPeriod

QLabel* Ui_MainWindow::label_slThickness

QLabel* Ui_MainWindow::label_sltype

QLabel* Ui_MainWindow::label_tsCurrent

QLabel* Ui_MainWindow::label_tsh0

QLabel* Ui_MainWindow::label_tshMax

QMenuBar* Ui_MainWindow::menubar

QMenu* Ui_MainWindow::menuFile

QPushButton* Ui_MainWindow::pushButton_apColorBrowse

QPushButton* Ui_MainWindow::pushButton_slColorBrowse

QSlider* Ui_MainWindow::slider_ts

QSpacerItem* Ui_MainWindow::spacer_tsh

QSpinBox* Ui_MainWindow::spinBox_apArrowCount

QSpinBox* Ui_MainWindow::spinBox_sldsep

QSpinBox* Ui_MainWindow::spinBox_sldtest

QSpinBox* Ui_MainWindow::spinBox_slTGPeriod

QSpinBox* Ui_MainWindow::spinBox_slThickness

QSpinBox* Ui_MainWindow::spinBox_ts

QStatusBar* Ui_MainWindow::statusbar

ChannelTableWidget* Ui_MainWindow::tableWidget_ch

QVBoxLayout* Ui_MainWindow::verticalLayout

QVBoxLayout* Ui_MainWindow::verticalLayout_2

QVBoxLayout* Ui_MainWindow::verticalLayout_3

QVBoxLayout* Ui_MainWindow::verticalLayout_4

QVBoxLayout* Ui_MainWindow::verticalLayout_5

QVBoxLayout* Ui_MainWindow::verticalLayout_6

QSpacerItem* Ui_MainWindow::vSpacer_ts

QWidget* Ui_MainWindow::widget_apColor

QWidget* Ui_MainWindow::widget_apForm

QWidget* Ui_MainWindow::widget_cmChooseCh

QWidget* Ui_MainWindow::widget_slColChoose

QWidget* Ui_MainWindow::widget_slParams

QWidget* Ui_MainWindow::widget_ts1

QWidget* Ui_MainWindow::widget_ts2

QWidget* Ui_MainWindow::widget_tsh

The documentation for this class was generated from the following file:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/ui_InsightFlow.h